.nav a{
    margin: 0;
    padding: 20px;
    text-decoration: none;
    color: rgb(69, 69, 233);
}

@media (max-width: 768px) {
  .nav a {
    margin: 10px 0;
  }
}

.nav a:hover{
    color: red;
}

.nav-links{
    display: none;
}

.nav.open{
    background-color: rgb(205, 83, 150);
}

.nav-toggle{
    background: none;
    border: none;
    font-size: 30px;
}

.nav-links.open {
  display: flex;
  flex-direction: row;
  list-style: none;
  display: flex;
  margin: 0px;
  padding: 0px;
}

.nav-toggle.open{
    display: none;
}

.nav-toggle-open{
    display: none;
}

.nav-toggle-open.open{
    display: block;
}

@media (max-width: 768px) {
  .nav-toggle {
    display: block;
    background: none;
    border: none;
    font-size: 30px;
    padding: 15px;
  }
  .nav-links {
    display: none;
  }

  .nav-links.open {
    display: flex;
    flex-direction: column;
  }
}

.nav a.active{
    color: rgb(54, 160, 247);
}

body{
    background-color: rgb(201, 154, 97);
    margin: 0;
    transition: background-color 1s;
}
.p{
    font-size: 20px;
}

.things img{
  height: 80px;
}


.move{
  position: absolute;
  transition: transform 1s ease;
}

#things {
  position: relative;
  width: auto;
  height: 80vh;
  overflow: hidden;
}

.collections ul{
    display: flex;
    list-style: none;
}
.collections img{
    height: 120px;
    padding: 10px;
}

.gameList a{
    text-decoration: none;
    font-size: 20;
}

.gameList a:hover{
    color: rgb(255, 121, 226);
}

.board button{
    border: none;
    color: rgb(43, 112, 196);
    background-color: rgba(243, 32, 32, 0.625);
    font-size: 15px;
    padding: 10px;
    margin: 5px;
    border-radius: 5px;
}

.board button:hover{
    cursor: pointer;
}

.nessie-box{
    display: none;
}

.nessie-box.open{
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 columns of equal width */
    grid-template-rows: repeat(3, 150px);  /* 3 rows of fixed height */
    gap: 10px;
}

#ness1{
  grid-column: 2 / 2;
  grid-row: 1 / 2;
  height: 100px;
  animation: flip 2s infinite ease-in-out;
  transform-style: preserve-3d;
}

#ness2{
  grid-column: 3 / 4;
  grid-row: 2 / 3;
  height: 100px;
  animation: flip 2s infinite ease-in-out;
  transform-style: preserve-3d;
}

#ness3{
  grid-column: 2 / 3;
  grid-row: 3 / 4;
  height: 100px;
  animation: flip 2s infinite ease-in-out;
  transform-style: preserve-3d;
}

@keyframes flip {
  0%   { transform: rotateY(0deg); }
  50%  { transform: rotateY(180deg); }
  100% { transform: rotateY(0deg); }
}

body.rainbow {
  animation: rainbow 7s infinite linear;
}

@keyframes rainbow {
  0%   { background-color: red; }
  14%  { background-color: orange; }
  28%  { background-color: yellow; }
  42%  { background-color: green; }
  57%  { background-color: blue; }
  71%  { background-color: indigo; }
  85%  { background-color: violet; }
  100% { background-color: red; }
}
